Page MenuHomePhabricator

Update Wikibase Lua documentation
Closed, ResolvedPublic

Description

Problem:
@RolandUnger reports that https://www.mediawiki.org/wiki/Extension:Wikibase_Client/Lua is not up-to-date. It is missing at least mw.wikibase.entityExists() and possibly others.
We should check what's missing and add it.

functions to add to documention

  • mw.wikibase.entityExist
  • mw.wikibase.getGlobalSiteId

Acceptance criteria:

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 11 2019, 11:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Documentation should be updated once the bug reported in T192462 is fixed

After ten weeks nothing is done. Why?

Hello @RolandUnger, this task is present in our (quite huge) to-do list and we didn't forget about it. However, it is currently blocked on solving a bug (T192462). This task should be picked up soon. Thanks for your patience.

alaa_wmde triaged this task as Medium priority.Oct 1 2019, 11:37 AM
alaa_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Campsite board.
alaa_wmde added a subscriber: alaa_wmde.

Since T192462: mw.wikibase.entityExists returns false for redirected entities has been resolved, let's move on with this!

Rosalie_WMDE added a comment.EditedOct 29 2019, 11:49 AM

I checked and I notice 2 lua functions not documented. Please, in case more are found, add them to the task description

alaa_wmde closed this task as Resolved.Oct 30 2019, 10:52 AM

Looks great! Resolving this as the original missing functions has been covered.

Added a line about redirected entities under entityExists for completeness (as recently we fixed that behavior). @Rosalie_WMDE pls feel free to double check this change

Another possible improvement could be to reorder the functions alphabetically, not sure if that's a commonly desired thing so I'll leave if for someone else to pick that up :)